#include <stdio.h>
#include <stdlib.h>

int main(void) {

	int i;
	char *ent1="error_RK4_terra.txt", *ent2="error_RK4_mart.txt", *ent3="error_RK4_lluna.txt", *ent4="error_RK4_jupiter.txt";
	char *ent5="error_RK4_venus.txt", *ent6="error_RK4_mercuri.txt";
	char *sort1="error_rotacio", *sort2="error_distancia", *sort3="error_rotacio_lluna", *sort4="error_distancia_lluna";
	
	FILE *gnuplot = popen("gnuplot", "w");
	fprintf(gnuplot,"set terminal postscript color enhanced\n");
	fprintf(gnuplot,"set output '%s.eps'\n",sort1);
	fprintf(gnuplot,"set title 'Error de rotacio\n");
	fprintf(gnuplot,"set xlabel 'Temp (dias)'\n");
	fprintf(gnuplot,"set ylabel 'Error absolut (graus)'\n");
	fprintf(gnuplot, "p '%s' u 1:2 with lines t 'Terra'",ent1);
	fprintf(gnuplot, ", '%s' u 1:2 with lines t 'Mart'",ent2);
	//fprintf(gnuplot, ", '%s' u 1:2 with lines t 'Lluna'",ent3);
	fprintf(gnuplot, ", '%s' u 1:2 with lines t 'Jupiter'",ent4);
	fprintf(gnuplot, ", '%s' u 1:2 with lines t 'Venus'",ent5);
	//fprintf(gnuplot, ", '%s' u 1:2 with lines t 'Mercuri'",ent6);
	fprintf(gnuplot, "\n");
	
	fprintf(gnuplot,"set output '%s.eps'\n",sort2);
	fprintf(gnuplot," set view equal xy\n set xyplane 0\n");
	fprintf(gnuplot,"set title 'Error de distancia'\n");
	fprintf(gnuplot,"set xlabel 'Temp (dias)'\n");
	fprintf(gnuplot,"set ylabel 'Error relatiu'\n");
	fprintf(gnuplot, "p '%s' u 1:3 with lines t 'Terra'",ent1);
	fprintf(gnuplot, ", '%s' u 1:3 with lines t 'Mart'",ent2);
	//fprintf(gnuplot, ", '%s' u 1:3 with lines t 'Lluna'",ent3);
	fprintf(gnuplot, ", '%s' u 1:3 with lines t 'Jupiter'",ent4);
	fprintf(gnuplot, ", '%s' u 1:3 with lines t 'Venus'",ent5);
	//fprintf(gnuplot, ", '%s' u 1:3 with lines t 'Mercuri'",ent6);
	fprintf(gnuplot, "\n");

	fflush(gnuplot);
	fprintf(gnuplot, "exit \n");
	pclose(gnuplot);
	
	return 0;	
}
