#include <stdio.h>
#include <string.h>
#include "funcions_eclipses.c"

const double PI=3.14159265;
const double MT=5.9742e24;
const double ML=7.3483e22;
const double MS=1.9891e30;
const double RS=696000.0;
const double RT=6378.140;
const double RTp=6356.755;
const double RL=1738.0;

int B=1;

int main(void) {
	char nom[30], nom2[30], sort[30];
	strcpy(sort,"mapa_ecl_20_3_2015");
	strcpy(nom,"punts_ecl_20_3_2015.txt");
	strcpy(nom2,"punts_limit_ecl_20_3_2015.txt");
	
	if(B) {
		printf("Escriu el fitxer amb els punts de contacte:\n");
		scanf("%s",&nom);
		
		printf("Escriu el fitxer amb la resta de corbes:\n");
		scanf("%s",&nom2);
		
		printf("Escriu el nom del mapa:\n");
		scanf("%s",&sort);
	}

	FILE *gnuplot = popen("gnuplot", "w");
	fprintf(gnuplot,"set terminal postscript color enhanced\n");
	fprintf(gnuplot,"set output '%s.eps'\n",sort);
	fprintf(gnuplot, "unset key\n");
	fprintf(gnuplot, "p 'coords.txt' u 1:2 with lines");
	fprintf(gnuplot,", '%s' u 1:2:3 palette with lines, '%s' u 1:2 with lines\n", nom, nom2);
	fflush(gnuplot);
	fprintf(gnuplot, "exit \n");
	pclose(gnuplot);
  
  return 0;
}
